DROP TABLE CRST_MTL_SYSTEM_ITEMS_B; 

CREATE TABLE CRST_MTL_SYSTEM_ITEMS_B                              
(                                                            
  INVENTORY_ITEM_ID               NUMBER        NOT NULL,    
  ORGANIZATION_ID                 NUMBER        NOT NULL,    
  LAST_UPDATE_DATE                DATE          NOT NULL,    
  LAST_UPDATED_BY                 NUMBER        NOT NULL,    
  CREATION_DATE                   DATE          NOT NULL,    
  CREATED_BY                      NUMBER        NOT NULL,    
  LAST_UPDATE_LOGIN               NUMBER,                    
  SUMMARY_FLAG                    VARCHAR2(1 BYTE) NOT NULL, 
  ENABLED_FLAG                    VARCHAR2(1 BYTE) NOT NULL, 
  START_DATE_ACTIVE               DATE,                      
  END_DATE_ACTIVE                 DATE,                      
  DESCRIPTION                     VARCHAR2(240 BYTE),        
  BUYER_ID                        NUMBER(9),                 
  ACCOUNTING_RULE_ID              NUMBER,                    
  INVOICING_RULE_ID               NUMBER,                    
  SEGMENT1                        VARCHAR2(40 BYTE),         
  SEGMENT2                        VARCHAR2(40 BYTE),         
  SEGMENT3                        VARCHAR2(40 BYTE),         
  SEGMENT4                        VARCHAR2(40 BYTE),         
  SEGMENT5                        VARCHAR2(40 BYTE),         
  SEGMENT6                        VARCHAR2(40 BYTE),         
  SEGMENT7                        VARCHAR2(40 BYTE),         
  SEGMENT8                        VARCHAR2(40 BYTE),         
  SEGMENT9                        VARCHAR2(40 BYTE),         
  SEGMENT10                       VARCHAR2(40 BYTE),         
  SEGMENT11                       VARCHAR2(40 BYTE),         
  SEGMENT12                       VARCHAR2(40 BYTE),         
  SEGMENT13                       VARCHAR2(40 BYTE),         
  SEGMENT14                       VARCHAR2(40 BYTE),         
  SEGMENT15                       VARCHAR2(40 BYTE),         
  SEGMENT16                       VARCHAR2(40 BYTE),         
  SEGMENT17                       VARCHAR2(40 BYTE),         
  SEGMENT18                       VARCHAR2(40 BYTE),         
  SEGMENT19                       VARCHAR2(40 BYTE),         
  SEGMENT20                       VARCHAR2(40 BYTE),         
  ATTRIBUTE_CATEGORY              VARCHAR2(30 BYTE),         
  ATTRIBUTE1                      VARCHAR2(240 BYTE),        
  ATTRIBUTE2                      VARCHAR2(240 BYTE),        
  ATTRIBUTE3                      VARCHAR2(240 BYTE),        
  ATTRIBUTE4                      VARCHAR2(240 BYTE),        
  ATTRIBUTE5                      VARCHAR2(240 BYTE),        
  ATTRIBUTE6                      VARCHAR2(240 BYTE),        
  ATTRIBUTE7                      VARCHAR2(240 BYTE),        
  ATTRIBUTE8                      VARCHAR2(240 BYTE),        
  ATTRIBUTE9                      VARCHAR2(240 BYTE),        
  ATTRIBUTE10                     VARCHAR2(240 BYTE),        
  ATTRIBUTE11                     VARCHAR2(240 BYTE),        
  ATTRIBUTE12                     VARCHAR2(240 BYTE),        
  ATTRIBUTE13                     VARCHAR2(240 BYTE),        
  ATTRIBUTE14                     VARCHAR2(240 BYTE),        
  ATTRIBUTE15                     VARCHAR2(240 BYTE),        
  PURCHASING_ITEM_FLAG            VARCHAR2(1 BYTE) NOT NULL, 
  SHIPPABLE_ITEM_FLAG             VARCHAR2(1 BYTE) NOT NULL, 
  CUSTOMER_ORDER_FLAG             VARCHAR2(1 BYTE) NOT NULL, 
  INTERNAL_ORDER_FLAG             VARCHAR2(1 BYTE) NOT NULL, 
  SERVICE_ITEM_FLAG               VARCHAR2(1 BYTE) NOT NULL, 
  INVENTORY_ITEM_FLAG             VARCHAR2(1 BYTE) NOT NULL, 
  ENG_ITEM_FLAG                   VARCHAR2(1 BYTE) NOT NULL, 
  INVENTORY_ASSET_FLAG            VARCHAR2(1 BYTE) NOT NULL, 
  PURCHASING_ENABLED_FLAG         VARCHAR2(1 BYTE) NOT NULL, 
  CUSTOMER_ORDER_ENABLED_FLAG     VARCHAR2(1 BYTE) NOT NULL, 
  INTERNAL_ORDER_ENABLED_FLAG     VARCHAR2(1 BYTE) NOT NULL, 
  SO_TRANSACTIONS_FLAG            VARCHAR2(1 BYTE) NOT NULL, 
  MTL_TRANSACTIONS_ENABLED_FLAG   VARCHAR2(1 BYTE) NOT NULL, 
  STOCK_ENABLED_FLAG              VARCHAR2(1 BYTE) NOT NULL, 
  BOM_ENABLED_FLAG                VARCHAR2(1 BYTE) NOT NULL, 
  BUILD_IN_WIP_FLAG               VARCHAR2(1 BYTE) NOT NULL, 
  REVISION_QTY_CONTROL_CODE       NUMBER,                    
  ITEM_CATALOG_GROUP_ID           NUMBER,                    
  CATALOG_STATUS_FLAG             VARCHAR2(1 BYTE),          
  RETURNABLE_FLAG                 VARCHAR2(1 BYTE),          
  DEFAULT_SHIPPING_ORG            NUMBER,                    
  COLLATERAL_FLAG                 VARCHAR2(1 BYTE),          
  TAXABLE_FLAG                    VARCHAR2(1 BYTE),          
  QTY_RCV_EXCEPTION_CODE          VARCHAR2(25 BYTE),         
  ALLOW_ITEM_DESC_UPDATE_FLAG     VARCHAR2(1 BYTE),          
  INSPECTION_REQUIRED_FLAG        VARCHAR2(1 BYTE),          
  RECEIPT_REQUIRED_FLAG           VARCHAR2(1 BYTE),          
  MARKET_PRICE                    NUMBER,                    
  HAZARD_CLASS_ID                 NUMBER,                    
  RFQ_REQUIRED_FLAG               VARCHAR2(1 BYTE),          
  QTY_RCV_TOLERANCE               NUMBER,                    
  LIST_PRICE_PER_UNIT             NUMBER,                    
  UN_NUMBER_ID                    NUMBER,                    
  PRICE_TOLERANCE_PERCENT         NUMBER,                    
  ASSET_CATEGORY_ID               NUMBER,                    
  ROUNDING_FACTOR                 NUMBER,                    
  UNIT_OF_ISSUE                   VARCHAR2(25 BYTE),         
  ENFORCE_SHIP_TO_LOCATION_CODE   VARCHAR2(25 BYTE),         
  ALLOW_SUBSTITUTE_RECEIPTS_FLAG  VARCHAR2(1 BYTE),          
  ALLOW_UNORDERED_RECEIPTS_FLAG   VARCHAR2(1 BYTE),          
  ALLOW_EXPRESS_DELIVERY_FLAG     VARCHAR2(1 BYTE),          
  DAYS_EARLY_RECEIPT_ALLOWED      NUMBER,                    
  DAYS_LATE_RECEIPT_ALLOWED       NUMBER,                    
  RECEIPT_DAYS_EXCEPTION_CODE     VARCHAR2(25 BYTE),         
  RECEIVING_ROUTING_ID            NUMBER,                    
  INVOICE_CLOSE_TOLERANCE         NUMBER,                    
  RECEIVE_CLOSE_TOLERANCE         NUMBER,                    
  AUTO_LOT_ALPHA_PREFIX           VARCHAR2(30 BYTE),         
  START_AUTO_LOT_NUMBER           VARCHAR2(30 BYTE),         
  LOT_CONTROL_CODE                NUMBER,                    
  SHELF_LIFE_CODE                 NUMBER,                    
  SHELF_LIFE_DAYS                 NUMBER,                    
  SERIAL_NUMBER_CONTROL_CODE      NUMBER,                    
  START_AUTO_SERIAL_NUMBER        VARCHAR2(30 BYTE),         
  AUTO_SERIAL_ALPHA_PREFIX        VARCHAR2(30 BYTE),         
  SOURCE_TYPE                     NUMBER,                    
  SOURCE_ORGANIZATION_ID          NUMBER,                    
  SOURCE_SUBINVENTORY             VARCHAR2(10 BYTE),         
  EXPENSE_ACCOUNT                 NUMBER,                    
  ENCUMBRANCE_ACCOUNT             NUMBER,                    
  RESTRICT_SUBINVENTORIES_CODE    NUMBER,                    
  UNIT_WEIGHT                     NUMBER,                    
  WEIGHT_UOM_CODE                 VARCHAR2(3 BYTE),          
  VOLUME_UOM_CODE                 VARCHAR2(3 BYTE),          
  UNIT_VOLUME                     NUMBER,                    
  RESTRICT_LOCATORS_CODE          NUMBER,                    
  LOCATION_CONTROL_CODE           NUMBER,                    
  SHRINKAGE_RATE                  NUMBER,                    
  ACCEPTABLE_EARLY_DAYS           NUMBER,                    
  PLANNING_TIME_FENCE_CODE        NUMBER,                    
  DEMAND_TIME_FENCE_CODE          NUMBER,                    
  LEAD_TIME_LOT_SIZE              NUMBER,                    
  STD_LOT_SIZE                    NUMBER,                    
  CUM_MANUFACTURING_LEAD_TIME     NUMBER,                    
  OVERRUN_PERCENTAGE              NUMBER,                    
  MRP_CALCULATE_ATP_FLAG          VARCHAR2(1 BYTE),          
  ACCEPTABLE_RATE_INCREASE        NUMBER,                    
  ACCEPTABLE_RATE_DECREASE        NUMBER,                    
  CUMULATIVE_TOTAL_LEAD_TIME      NUMBER,                    
  PLANNING_TIME_FENCE_DAYS        NUMBER,                    
  DEMAND_TIME_FENCE_DAYS          NUMBER,                    
  END_ASSEMBLY_PEGGING_FLAG       VARCHAR2(1 BYTE),          
  REPETITIVE_PLANNING_FLAG        VARCHAR2(1 BYTE),          
  PLANNING_EXCEPTION_SET          VARCHAR2(10 BYTE),         
  BOM_ITEM_TYPE                   NUMBER        NOT NULL,    
  PICK_COMPONENTS_FLAG            VARCHAR2(1 BYTE) NOT NULL, 
  REPLENISH_TO_ORDER_FLAG         VARCHAR2(1 BYTE) NOT NULL, 
  BASE_ITEM_ID                    NUMBER,                    
  ATP_COMPONENTS_FLAG             VARCHAR2(1 BYTE) NOT NULL, 
  ATP_FLAG                        VARCHAR2(1 BYTE) NOT NULL, 
  FIXED_LEAD_TIME                 NUMBER,                    
  VARIABLE_LEAD_TIME              NUMBER,                    
  WIP_SUPPLY_LOCATOR_ID           NUMBER,                    
  WIP_SUPPLY_TYPE                 NUMBER,                    
  WIP_SUPPLY_SUBINVENTORY         VARCHAR2(10 BYTE),         
  PRIMARY_UOM_CODE                VARCHAR2(3 BYTE),          
  PRIMARY_UNIT_OF_MEASURE         VARCHAR2(25 BYTE),         
  ALLOWED_UNITS_LOOKUP_CODE       NUMBER,                    
  COST_OF_SALES_ACCOUNT           NUMBER,                    
  SALES_ACCOUNT                   NUMBER,                    
  DEFAULT_INCLUDE_IN_ROLLUP_FLAG  VARCHAR2(1 BYTE),          
  INVENTORY_ITEM_STATUS_CODE      VARCHAR2(10 BYTE) NOT NULL,
  INVENTORY_PLANNING_CODE         NUMBER,                    
  PLANNER_CODE                    VARCHAR2(10 BYTE),         
  PLANNING_MAKE_BUY_CODE          NUMBER,                    
  FIXED_LOT_MULTIPLIER            NUMBER,                    
  ROUNDING_CONTROL_TYPE           NUMBER,                    
  CARRYING_COST                   NUMBER,                    
  POSTPROCESSING_LEAD_TIME        NUMBER,                    
  PREPROCESSING_LEAD_TIME         NUMBER,                    
  FULL_LEAD_TIME                  NUMBER,                    
  ORDER_COST                      NUMBER,                    
  MRP_SAFETY_STOCK_PERCENT        NUMBER,                    
  MRP_SAFETY_STOCK_CODE           NUMBER,                    
  MIN_MINMAX_QUANTITY             NUMBER,                    
  MAX_MINMAX_QUANTITY             NUMBER,                    
  MINIMUM_ORDER_QUANTITY          NUMBER,                    
  FIXED_ORDER_QUANTITY            NUMBER,                    
  FIXED_DAYS_SUPPLY               NUMBER,                    
  MAXIMUM_ORDER_QUANTITY          NUMBER,                    
  ATP_RULE_ID                     NUMBER,                    
  PICKING_RULE_ID                 NUMBER,                    
  RESERVABLE_TYPE                 NUMBER,                    
  POSITIVE_MEASUREMENT_ERROR      NUMBER,                    
  NEGATIVE_MEASUREMENT_ERROR      NUMBER,                    
  ENGINEERING_ECN_CODE            VARCHAR2(50 BYTE),         
  ENGINEERING_ITEM_ID             NUMBER,                    
  ENGINEERING_DATE                DATE,                      
  SERVICE_STARTING_DELAY          NUMBER,                    
  VENDOR_WARRANTY_FLAG            VARCHAR2(1 BYTE) NOT NULL, 
  SERVICEABLE_COMPONENT_FLAG      VARCHAR2(1 BYTE),          
  SERVICEABLE_PRODUCT_FLAG        VARCHAR2(1 BYTE) NOT NULL, 
  BASE_WARRANTY_SERVICE_ID        NUMBER,                    
  PAYMENT_TERMS_ID                NUMBER,                    
  PREVENTIVE_MAINTENANCE_FLAG     VARCHAR2(1 BYTE),          
  PRIMARY_SPECIALIST_ID           NUMBER,                    
  SECONDARY_SPECIALIST_ID         NUMBER,                    
  SERVICEABLE_ITEM_CLASS_ID       NUMBER,                    
  TIME_BILLABLE_FLAG              VARCHAR2(1 BYTE),          
  MATERIAL_BILLABLE_FLAG          VARCHAR2(30 BYTE),         
  EXPENSE_BILLABLE_FLAG           VARCHAR2(1 BYTE),          
  PRORATE_SERVICE_FLAG            VARCHAR2(1 BYTE),          
  COVERAGE_SCHEDULE_ID            NUMBER,                    
  SERVICE_DURATION_PERIOD_CODE    VARCHAR2(10 BYTE),         
  SERVICE_DURATION                NUMBER,                    
  WARRANTY_VENDOR_ID              NUMBER,                    
  MAX_WARRANTY_AMOUNT             NUMBER,                    
  RESPONSE_TIME_PERIOD_CODE       VARCHAR2(30 BYTE),         
  RESPONSE_TIME_VALUE             NUMBER,                    
  NEW_REVISION_CODE               VARCHAR2(30 BYTE),         
  INVOICEABLE_ITEM_FLAG           VARCHAR2(1 BYTE) NOT NULL, 
  TAX_CODE                        VARCHAR2(50 BYTE),         
  INVOICE_ENABLED_FLAG            VARCHAR2(1 BYTE) NOT NULL, 
  MUST_USE_APPROVED_VENDOR_FLAG   VARCHAR2(1 BYTE) NOT NULL, 
  REQUEST_ID                      NUMBER,                    
  PROGRAM_APPLICATION_ID          NUMBER,                    
  PROGRAM_ID                      NUMBER,                    
  PROGRAM_UPDATE_DATE             DATE,                      
  OUTSIDE_OPERATION_FLAG          VARCHAR2(1 BYTE) NOT NULL, 
  OUTSIDE_OPERATION_UOM_TYPE      VARCHAR2(25 BYTE),         
  SAFETY_STOCK_BUCKET_DAYS        NUMBER,                    
  AUTO_REDUCE_MPS                 NUMBER(22),                
  COSTING_ENABLED_FLAG            VARCHAR2(1 BYTE) NOT NULL, 
  AUTO_CREATED_CONFIG_FLAG        VARCHAR2(1 BYTE) NOT NULL, 
  CYCLE_COUNT_ENABLED_FLAG        VARCHAR2(1 BYTE) NOT NULL, 
  ITEM_TYPE                       VARCHAR2(30 BYTE),         
  MODEL_CONFIG_CLAUSE_NAME        VARCHAR2(10 BYTE),         
  SHIP_MODEL_COMPLETE_FLAG        VARCHAR2(1 BYTE),          
  MRP_PLANNING_CODE               NUMBER,                    
  RETURN_INSPECTION_REQUIREMENT   NUMBER,                    
  ATO_FORECAST_CONTROL            NUMBER,                    
  RELEASE_TIME_FENCE_CODE         NUMBER,                    
  RELEASE_TIME_FENCE_DAYS         NUMBER,                    
  CONTAINER_ITEM_FLAG             VARCHAR2(1 BYTE),          
  VEHICLE_ITEM_FLAG               VARCHAR2(1 BYTE),          
  MAXIMUM_LOAD_WEIGHT             NUMBER,                    
  MINIMUM_FILL_PERCENT            NUMBER,                    
  CONTAINER_TYPE_CODE             VARCHAR2(30 BYTE),         
  INTERNAL_VOLUME                 NUMBER,                    
  WH_UPDATE_DATE                  DATE,                      
  PRODUCT_FAMILY_ITEM_ID          NUMBER,                    
  GLOBAL_ATTRIBUTE_CATEGORY       VARCHAR2(150 BYTE),        
  GLOBAL_ATTRIBUTE1               VARCHAR2(150 BYTE),        
  GLOBAL_ATTRIBUTE2               VARCHAR2(150 BYTE),        
  GLOBAL_ATTRIBUTE3               VARCHAR2(150 BYTE),        
  GLOBAL_ATTRIBUTE4               VARCHAR2(150 BYTE),        
  GLOBAL_ATTRIBUTE5               VARCHAR2(150 BYTE),        
  GLOBAL_ATTRIBUTE6               VARCHAR2(150 BYTE),        
  GLOBAL_ATTRIBUTE7               VARCHAR2(150 BYTE),        
  GLOBAL_ATTRIBUTE8               VARCHAR2(150 BYTE),        
  GLOBAL_ATTRIBUTE9               VARCHAR2(150 BYTE),        
  GLOBAL_ATTRIBUTE10              VARCHAR2(150 BYTE),        
  PURCHASING_TAX_CODE             VARCHAR2(50 BYTE),         
  OVERCOMPLETION_TOLERANCE_TYPE   NUMBER,                    
  OVERCOMPLETION_TOLERANCE_VALUE  NUMBER,                    
  EFFECTIVITY_CONTROL             NUMBER,                    
  CHECK_SHORTAGES_FLAG            VARCHAR2(1 BYTE),          
  OVER_SHIPMENT_TOLERANCE         NUMBER,                    
  UNDER_SHIPMENT_TOLERANCE        NUMBER,                    
  OVER_RETURN_TOLERANCE           NUMBER,                    
  UNDER_RETURN_TOLERANCE          NUMBER,                    
  EQUIPMENT_TYPE                  NUMBER,                    
  RECOVERED_PART_DISP_CODE        VARCHAR2(30 BYTE),         
  DEFECT_TRACKING_ON_FLAG         VARCHAR2(1 BYTE),          
  USAGE_ITEM_FLAG                 VARCHAR2(1 BYTE),          
  EVENT_FLAG                      VARCHAR2(1 BYTE),          
  ELECTRONIC_FLAG                 VARCHAR2(1 BYTE),          
  DOWNLOADABLE_FLAG               VARCHAR2(1 BYTE),          
  VOL_DISCOUNT_EXEMPT_FLAG        VARCHAR2(1 BYTE),          
  COUPON_EXEMPT_FLAG              VARCHAR2(1 BYTE),          
  COMMS_NL_TRACKABLE_FLAG         VARCHAR2(1 BYTE),          
  ASSET_CREATION_CODE             VARCHAR2(30 BYTE),         
  COMMS_ACTIVATION_REQD_FLAG      VARCHAR2(1 BYTE),          
  ORDERABLE_ON_WEB_FLAG           VARCHAR2(1 BYTE),          
  BACK_ORDERABLE_FLAG             VARCHAR2(1 BYTE),          
  WEB_STATUS                      VARCHAR2(30 BYTE),         
  INDIVISIBLE_FLAG                VARCHAR2(1 BYTE),          
  DIMENSION_UOM_CODE              VARCHAR2(3 BYTE),          
  UNIT_LENGTH                     NUMBER,                    
  UNIT_WIDTH                      NUMBER,                    
  UNIT_HEIGHT                     NUMBER,                    
  BULK_PICKED_FLAG                VARCHAR2(1 BYTE),          
  LOT_STATUS_ENABLED              VARCHAR2(1 BYTE),          
  DEFAULT_LOT_STATUS_ID           NUMBER,                    
  SERIAL_STATUS_ENABLED           VARCHAR2(1 BYTE),          
  DEFAULT_SERIAL_STATUS_ID        NUMBER,                    
  LOT_SPLIT_ENABLED               VARCHAR2(1 BYTE),          
  LOT_MERGE_ENABLED               VARCHAR2(1 BYTE),          
  INVENTORY_CARRY_PENALTY         NUMBER,                    
  OPERATION_SLACK_PENALTY         NUMBER,                    
  FINANCING_ALLOWED_FLAG          VARCHAR2(1 BYTE),          
  EAM_ITEM_TYPE                   NUMBER,                    
  EAM_ACTIVITY_TYPE_CODE          VARCHAR2(30 BYTE),         
  EAM_ACTIVITY_CAUSE_CODE         VARCHAR2(30 BYTE),         
  EAM_ACT_NOTIFICATION_FLAG       VARCHAR2(1 BYTE),          
  EAM_ACT_SHUTDOWN_STATUS         VARCHAR2(30 BYTE),         
  DUAL_UOM_CONTROL                NUMBER,                    
  SECONDARY_UOM_CODE              VARCHAR2(3 BYTE),          
  DUAL_UOM_DEVIATION_HIGH         NUMBER,                    
  DUAL_UOM_DEVIATION_LOW          NUMBER,                    
  CONTRACT_ITEM_TYPE_CODE         VARCHAR2(30 BYTE),         
  SUBSCRIPTION_DEPEND_FLAG        VARCHAR2(1 BYTE),          
  SERV_REQ_ENABLED_CODE           VARCHAR2(30 BYTE),         
  SERV_BILLING_ENABLED_FLAG       VARCHAR2(1 BYTE),          
  SERV_IMPORTANCE_LEVEL           NUMBER,                    
  PLANNED_INV_POINT_FLAG          VARCHAR2(1 BYTE),          
  LOT_TRANSLATE_ENABLED           VARCHAR2(1 BYTE),          
  DEFAULT_SO_SOURCE_TYPE          VARCHAR2(30 BYTE) NOT NULL,
  CREATE_SUPPLY_FLAG              VARCHAR2(1 BYTE) NOT NULL, 
  SUBSTITUTION_WINDOW_CODE        NUMBER,                    
  SUBSTITUTION_WINDOW_DAYS        NUMBER,                    
  IB_ITEM_INSTANCE_CLASS          VARCHAR2(30 BYTE),         
  CONFIG_MODEL_TYPE               VARCHAR2(30 BYTE),         
  LOT_SUBSTITUTION_ENABLED        VARCHAR2(1 BYTE),          
  MINIMUM_LICENSE_QUANTITY        NUMBER,                    
  EAM_ACTIVITY_SOURCE_CODE        VARCHAR2(30 BYTE),         
  LIFECYCLE_ID                    NUMBER,                    
  CURRENT_PHASE_ID                NUMBER,                    
  OBJECT_VERSION_NUMBER           NUMBER(9),
  INVENTORY_ITEM_ID_N             NUMBER                   
);
